Assets
Governed asset registry, lifecycle, release, delivery, and consumption endpoints.
/api/assets/{assetId}/releases/{releaseId}/pack-progress/{itemKey}Path Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X PUT "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/pack-progress/string" \ -H "Content-Type: application/json" \ -d '{}'{ "assignmentId": "dbf5135c-beb7-4185-80db-2e980c77381b", "packAssetId": "449638c7-3499-43cb-847e-47afd8622397", "packReleaseId": "ee651da1-4026-4306-b950-f0e9f8ee9e0b", "releaseDigest": "string", "title": "string", "versionLabel": "string", "purpose": "ROLE_ONBOARDING", "audience": "string", "expectedOutcome": "string", "status": "IN_PROGRESS", "accessGap": true, "completedAccessibleItems": 0, "items": [ { "key": "string", "required": true, "order": 0, "kind": "string", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "pinnedVersionId": "8e41a9d4-0381-4764-a672-b3599e061c5d", "title": "string", "versionLabel": "string", "availability": "AVAILABLE", "completed": true, "completedAt": "2019-08-24T14:15:22Z" } ], "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z"}/api/assets/{assetId}/draftPath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X PUT "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/draft" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "authorizationReady": true, "draft": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lockVersion": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "editedByUserId": "17755b76-ae3f-4e03-85ba-4d4f1e436183", "updatedAt": "2019-08-24T14:15:22Z" }, "revisions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "changeNote": "string", "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdAt": "2019-08-24T14:15:22Z" } ], "reviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "revisionDigest": "string", "state": "IN_REVIEW", "policyVersion": "string", "requestedByUserId": "9c590f64-b028-49cf-9478-8c687bdb54d0", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "decisions": [ { "reviewerUserId": "75d4a5e8-58d7-410c-98d1-4f6ee34c3a33", "decision": "REQUEST_CHANGES", "comment": "string", "decidedAt": "2019-08-24T14:15:22Z" } ] } ], "releases": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "sequence": 0, "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "releasedByUserId": "15d5019e-db9b-4651-ba99-7050fd00d625", "releasedAt": "2019-08-24T14:15:22Z", "availability": "AVAILABLE", "availabilityHistory": [ { "availability": "AVAILABLE", "reason": "string", "changedByUserId": "362d38dc-25bb-4384-bc34-bb679fb2cded", "effectiveAt": "2019-08-24T14:15:22Z" } ] } ], "ownershipHealth": { "ownerPresent": true, "backupOwnerPresent": true, "orphaned": true, "continuityAtRisk": true }, "roleAssignments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "principalType": "string", "principalId": "string", "role": "OWNER", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "assignedByUserId": "419b0b8f-f979-45e3-a620-8c3741dea2ef", "projectedAt": "2019-08-24T14:15:22Z" } ]}/api/knowledge-assets/{knowledgeAssetId}/graph-indexPath Parameters
uuidResponse Body
*/*
curl -X POST "https://example.com/api/knowledge-assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/graph-index"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "knowledgeAssetId": "0e21085d-79c9-44f9-b229-2554c2bd0165", "knowledgeAssetVersionId": "9d7e85c7-a605-47c3-a6c6-520e358ca01a", "sourceRevisionId": "307572f1-3846-4c73-a8d9-3b07cde2b356", "projectionGeneration": 0, "graphProcessingProfileId": "66cf9d12-816c-42d4-beb4-4cc6fe06fcd4", "graphProcessingProfileSha256": "string", "status": "string", "attempt": 0, "cancellationRequested": true, "cancellationRequestedAt": "2019-08-24T14:15:22Z", "lastErrorCode": "string", "lastErrorMessage": "string", "completedAt": "2019-08-24T14:15:22Z"}/api/knowledge-assets/graph-jobs/{jobId}/resumePath Parameters
uuidResponse Body
*/*
curl -X POST "https://example.com/api/knowledge-assets/graph-jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/resume"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "knowledgeAssetId": "0e21085d-79c9-44f9-b229-2554c2bd0165", "knowledgeAssetVersionId": "9d7e85c7-a605-47c3-a6c6-520e358ca01a", "sourceRevisionId": "307572f1-3846-4c73-a8d9-3b07cde2b356", "projectionGeneration": 0, "graphProcessingProfileId": "66cf9d12-816c-42d4-beb4-4cc6fe06fcd4", "graphProcessingProfileSha256": "string", "status": "string", "attempt": 0, "cancellationRequested": true, "cancellationRequestedAt": "2019-08-24T14:15:22Z", "lastErrorCode": "string", "lastErrorMessage": "string", "completedAt": "2019-08-24T14:15:22Z"}/api/knowledge-assets/graph-jobs/{jobId}/cancelPath Parameters
uuidResponse Body
*/*
curl -X POST "https://example.com/api/knowledge-assets/graph-jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08/cancel"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "knowledgeAssetId": "0e21085d-79c9-44f9-b229-2554c2bd0165", "knowledgeAssetVersionId": "9d7e85c7-a605-47c3-a6c6-520e358ca01a", "sourceRevisionId": "307572f1-3846-4c73-a8d9-3b07cde2b356", "projectionGeneration": 0, "graphProcessingProfileId": "66cf9d12-816c-42d4-beb4-4cc6fe06fcd4", "graphProcessingProfileSha256": "string", "status": "string", "attempt": 0, "cancellationRequested": true, "cancellationRequestedAt": "2019-08-24T14:15:22Z", "lastErrorCode": "string", "lastErrorMessage": "string", "completedAt": "2019-08-24T14:15:22Z"}/api/assetsQuery Parameters
Value in
- "PROMPT_TEMPLATE"
- "WORK_INSTRUCTION"
- "CAPABILITY_PACK"
- "SKILL"
Response Body
*/*
curl -X GET "https://example.com/api/assets"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "title": "string", "summary": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY" }]/api/assetsRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assets" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "authorizationReady": true, "draft": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lockVersion": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "editedByUserId": "17755b76-ae3f-4e03-85ba-4d4f1e436183", "updatedAt": "2019-08-24T14:15:22Z" }, "revisions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "changeNote": "string", "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdAt": "2019-08-24T14:15:22Z" } ], "reviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "revisionDigest": "string", "state": "IN_REVIEW", "policyVersion": "string", "requestedByUserId": "9c590f64-b028-49cf-9478-8c687bdb54d0", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "decisions": [ { "reviewerUserId": "75d4a5e8-58d7-410c-98d1-4f6ee34c3a33", "decision": "REQUEST_CHANGES", "comment": "string", "decidedAt": "2019-08-24T14:15:22Z" } ] } ], "releases": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "sequence": 0, "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "releasedByUserId": "15d5019e-db9b-4651-ba99-7050fd00d625", "releasedAt": "2019-08-24T14:15:22Z", "availability": "AVAILABLE", "availabilityHistory": [ { "availability": "AVAILABLE", "reason": "string", "changedByUserId": "362d38dc-25bb-4384-bc34-bb679fb2cded", "effectiveAt": "2019-08-24T14:15:22Z" } ] } ], "ownershipHealth": { "ownerPresent": true, "backupOwnerPresent": true, "orphaned": true, "continuityAtRisk": true }, "roleAssignments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "principalType": "string", "principalId": "string", "role": "OWNER", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "assignedByUserId": "419b0b8f-f979-45e3-a620-8c3741dea2ef", "projectedAt": "2019-08-24T14:15:22Z" } ]}/api/assets/{assetId}/submissionsPath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/submissions" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "authorizationReady": true, "draft": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lockVersion": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "editedByUserId": "17755b76-ae3f-4e03-85ba-4d4f1e436183", "updatedAt": "2019-08-24T14:15:22Z" }, "revisions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "changeNote": "string", "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdAt": "2019-08-24T14:15:22Z" } ], "reviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "revisionDigest": "string", "state": "IN_REVIEW", "policyVersion": "string", "requestedByUserId": "9c590f64-b028-49cf-9478-8c687bdb54d0", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "decisions": [ { "reviewerUserId": "75d4a5e8-58d7-410c-98d1-4f6ee34c3a33", "decision": "REQUEST_CHANGES", "comment": "string", "decidedAt": "2019-08-24T14:15:22Z" } ] } ], "releases": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "sequence": 0, "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "releasedByUserId": "15d5019e-db9b-4651-ba99-7050fd00d625", "releasedAt": "2019-08-24T14:15:22Z", "availability": "AVAILABLE", "availabilityHistory": [ { "availability": "AVAILABLE", "reason": "string", "changedByUserId": "362d38dc-25bb-4384-bc34-bb679fb2cded", "effectiveAt": "2019-08-24T14:15:22Z" } ] } ], "ownershipHealth": { "ownerPresent": true, "backupOwnerPresent": true, "orphaned": true, "continuityAtRisk": true }, "roleAssignments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "principalType": "string", "principalId": "string", "role": "OWNER", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "assignedByUserId": "419b0b8f-f979-45e3-a620-8c3741dea2ef", "projectedAt": "2019-08-24T14:15:22Z" } ]}/api/assets/{assetId}/role-assignmentsPath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/role-assignments" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "authorizationReady": true, "draft": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lockVersion": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "editedByUserId": "17755b76-ae3f-4e03-85ba-4d4f1e436183", "updatedAt": "2019-08-24T14:15:22Z" }, "revisions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "changeNote": "string", "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdAt": "2019-08-24T14:15:22Z" } ], "reviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "revisionDigest": "string", "state": "IN_REVIEW", "policyVersion": "string", "requestedByUserId": "9c590f64-b028-49cf-9478-8c687bdb54d0", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "decisions": [ { "reviewerUserId": "75d4a5e8-58d7-410c-98d1-4f6ee34c3a33", "decision": "REQUEST_CHANGES", "comment": "string", "decidedAt": "2019-08-24T14:15:22Z" } ] } ], "releases": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "sequence": 0, "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "releasedByUserId": "15d5019e-db9b-4651-ba99-7050fd00d625", "releasedAt": "2019-08-24T14:15:22Z", "availability": "AVAILABLE", "availabilityHistory": [ { "availability": "AVAILABLE", "reason": "string", "changedByUserId": "362d38dc-25bb-4384-bc34-bb679fb2cded", "effectiveAt": "2019-08-24T14:15:22Z" } ] } ], "ownershipHealth": { "ownerPresent": true, "backupOwnerPresent": true, "orphaned": true, "continuityAtRisk": true }, "roleAssignments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "principalType": "string", "principalId": "string", "role": "OWNER", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "assignedByUserId": "419b0b8f-f979-45e3-a620-8c3741dea2ef", "projectedAt": "2019-08-24T14:15:22Z" } ]}/api/assets/{assetId}/reviews/{reviewCaseId}/decisionsPath Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/reviews/497f6eca-6276-4993-bfeb-53cbbbba6f08/decisions" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "authorizationReady": true, "draft": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lockVersion": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "editedByUserId": "17755b76-ae3f-4e03-85ba-4d4f1e436183", "updatedAt": "2019-08-24T14:15:22Z" }, "revisions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "changeNote": "string", "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdAt": "2019-08-24T14:15:22Z" } ], "reviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "revisionDigest": "string", "state": "IN_REVIEW", "policyVersion": "string", "requestedByUserId": "9c590f64-b028-49cf-9478-8c687bdb54d0", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "decisions": [ { "reviewerUserId": "75d4a5e8-58d7-410c-98d1-4f6ee34c3a33", "decision": "REQUEST_CHANGES", "comment": "string", "decidedAt": "2019-08-24T14:15:22Z" } ] } ], "releases": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "sequence": 0, "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "releasedByUserId": "15d5019e-db9b-4651-ba99-7050fd00d625", "releasedAt": "2019-08-24T14:15:22Z", "availability": "AVAILABLE", "availabilityHistory": [ { "availability": "AVAILABLE", "reason": "string", "changedByUserId": "362d38dc-25bb-4384-bc34-bb679fb2cded", "effectiveAt": "2019-08-24T14:15:22Z" } ] } ], "ownershipHealth": { "ownerPresent": true, "backupOwnerPresent": true, "orphaned": true, "continuityAtRisk": true }, "roleAssignments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "principalType": "string", "principalId": "string", "role": "OWNER", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "assignedByUserId": "419b0b8f-f979-45e3-a620-8c3741dea2ef", "projectedAt": "2019-08-24T14:15:22Z" } ]}/api/assets/{assetId}/releasesPath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "authorizationReady": true, "draft": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lockVersion": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "editedByUserId": "17755b76-ae3f-4e03-85ba-4d4f1e436183", "updatedAt": "2019-08-24T14:15:22Z" }, "revisions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "changeNote": "string", "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdAt": "2019-08-24T14:15:22Z" } ], "reviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "revisionDigest": "string", "state": "IN_REVIEW", "policyVersion": "string", "requestedByUserId": "9c590f64-b028-49cf-9478-8c687bdb54d0", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "decisions": [ { "reviewerUserId": "75d4a5e8-58d7-410c-98d1-4f6ee34c3a33", "decision": "REQUEST_CHANGES", "comment": "string", "decidedAt": "2019-08-24T14:15:22Z" } ] } ], "releases": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "sequence": 0, "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "releasedByUserId": "15d5019e-db9b-4651-ba99-7050fd00d625", "releasedAt": "2019-08-24T14:15:22Z", "availability": "AVAILABLE", "availabilityHistory": [ { "availability": "AVAILABLE", "reason": "string", "changedByUserId": "362d38dc-25bb-4384-bc34-bb679fb2cded", "effectiveAt": "2019-08-24T14:15:22Z" } ] } ], "ownershipHealth": { "ownerPresent": true, "backupOwnerPresent": true, "orphaned": true, "continuityAtRisk": true }, "roleAssignments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "principalType": "string", "principalId": "string", "role": "OWNER", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "assignedByUserId": "419b0b8f-f979-45e3-a620-8c3741dea2ef", "projectedAt": "2019-08-24T14:15:22Z" } ]}/api/assets/{assetId}/releases/{releaseId}/work-instruction/acknowledgementPath Parameters
uuiduuidResponse Body
*/*
curl -X POST "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/work-instruction/acknowledgement"{ "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "releaseDigest": "string", "title": "string", "versionLabel": "string", "instruction": { "purpose": "string", "audience": "string", "prerequisites": [ "string" ], "completionOutcome": "string", "responsibleRole": "string", "steps": [ { "key": "string", "title": "string", "instruction": "string", "expectedResult": "string", "check": "string", "escalation": "string", "prohibitedActions": [ "string" ], "relatedAssetIds": [ "f492136e-bfe6-4e5a-8ac3-63b18ba580a2" ], "relatedKnowledgeVersionIds": [ "a4a15029-eab2-4fec-b4e9-b9b0b61b9ef2" ] } ] }, "acknowledged": true, "acknowledgedAt": "2019-08-24T14:15:22Z"}/api/assets/{assetId}/releases/{releaseId}/withdrawalPath Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/withdrawal" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "authorizationReady": true, "draft": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lockVersion": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "editedByUserId": "17755b76-ae3f-4e03-85ba-4d4f1e436183", "updatedAt": "2019-08-24T14:15:22Z" }, "revisions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "changeNote": "string", "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdAt": "2019-08-24T14:15:22Z" } ], "reviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "revisionDigest": "string", "state": "IN_REVIEW", "policyVersion": "string", "requestedByUserId": "9c590f64-b028-49cf-9478-8c687bdb54d0", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "decisions": [ { "reviewerUserId": "75d4a5e8-58d7-410c-98d1-4f6ee34c3a33", "decision": "REQUEST_CHANGES", "comment": "string", "decidedAt": "2019-08-24T14:15:22Z" } ] } ], "releases": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "sequence": 0, "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "releasedByUserId": "15d5019e-db9b-4651-ba99-7050fd00d625", "releasedAt": "2019-08-24T14:15:22Z", "availability": "AVAILABLE", "availabilityHistory": [ { "availability": "AVAILABLE", "reason": "string", "changedByUserId": "362d38dc-25bb-4384-bc34-bb679fb2cded", "effectiveAt": "2019-08-24T14:15:22Z" } ] } ], "ownershipHealth": { "ownerPresent": true, "backupOwnerPresent": true, "orphaned": true, "continuityAtRisk": true }, "roleAssignments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "principalType": "string", "principalId": "string", "role": "OWNER", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "assignedByUserId": "419b0b8f-f979-45e3-a620-8c3741dea2ef", "projectedAt": "2019-08-24T14:15:22Z" } ]}/api/assets/{assetId}/releases/{releaseId}/prompt/runsPath Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/prompt/runs" \ -H "Content-Type: application/json" \ -d '{}'{ "runId": "78c33d18-170c-44d3-a227-b3194f134f73", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "releaseDigest": "string", "modelRoute": { "gatewayId": "string", "modelId": "string" }, "output": "string", "citations": [ { "chunkId": "90e1f3df-a8a1-438e-8dd5-10e45398d051", "knowledgeAssetId": "0e21085d-79c9-44f9-b229-2554c2bd0165", "sourceRevisionId": "307572f1-3846-4c73-a8d9-3b07cde2b356", "title": "string", "startPage": 0, "endPage": 0, "heading": "string" } ], "durationMillis": 0}/api/assets/{assetId}/releases/{releaseId}/prompt/renderPath Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/prompt/render" \ -H "Content-Type: application/json" \ -d '{}'{ "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "releaseDigest": "string", "systemInstruction": "string", "userPrompt": "string", "sensitiveVariables": [ "string" ], "inputShapeDigest": "string"}/api/assets/{assetId}/releases/{releaseId}/prompt/evaluationsPath Parameters
uuiduuidResponse Body
*/*
curl -X POST "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/prompt/evaluations"{ "evaluationId": "d66407ee-dc03-4490-a11a-2e3396305dfb", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "releaseDigest": "string", "passedCases": 0, "totalCases": 0, "cases": [ { "name": "string", "passed": true, "failedAssertions": [ "string" ], "promptRunId": "337f654e-f75b-49a3-a153-c3419a97c09e" } ]}/api/assets/{assetId}/releases/{releaseId}/pack-assignmentPath Parameters
uuiduuidResponse Body
*/*
curl -X POST "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/pack-assignment"{ "assignmentId": "dbf5135c-beb7-4185-80db-2e980c77381b", "packAssetId": "449638c7-3499-43cb-847e-47afd8622397", "packReleaseId": "ee651da1-4026-4306-b950-f0e9f8ee9e0b", "releaseDigest": "string", "title": "string", "versionLabel": "string", "purpose": "ROLE_ONBOARDING", "audience": "string", "expectedOutcome": "string", "status": "IN_PROGRESS", "accessGap": true, "completedAccessibleItems": 0, "items": [ { "key": "string", "required": true, "order": 0, "kind": "string", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "pinnedVersionId": "8e41a9d4-0381-4764-a672-b3599e061c5d", "title": "string", "versionLabel": "string", "availability": "AVAILABLE", "completed": true, "completedAt": "2019-08-24T14:15:22Z" } ], "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z"}/api/assets/{assetId}/releases/{releaseId}/forksPath Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/forks" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "authorizationReady": true, "draft": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lockVersion": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "editedByUserId": "17755b76-ae3f-4e03-85ba-4d4f1e436183", "updatedAt": "2019-08-24T14:15:22Z" }, "revisions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "changeNote": "string", "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdAt": "2019-08-24T14:15:22Z" } ], "reviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "revisionDigest": "string", "state": "IN_REVIEW", "policyVersion": "string", "requestedByUserId": "9c590f64-b028-49cf-9478-8c687bdb54d0", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "decisions": [ { "reviewerUserId": "75d4a5e8-58d7-410c-98d1-4f6ee34c3a33", "decision": "REQUEST_CHANGES", "comment": "string", "decidedAt": "2019-08-24T14:15:22Z" } ] } ], "releases": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "sequence": 0, "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "releasedByUserId": "15d5019e-db9b-4651-ba99-7050fd00d625", "releasedAt": "2019-08-24T14:15:22Z", "availability": "AVAILABLE", "availabilityHistory": [ { "availability": "AVAILABLE", "reason": "string", "changedByUserId": "362d38dc-25bb-4384-bc34-bb679fb2cded", "effectiveAt": "2019-08-24T14:15:22Z" } ] } ], "ownershipHealth": { "ownerPresent": true, "backupOwnerPresent": true, "orphaned": true, "continuityAtRisk": true }, "roleAssignments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "principalType": "string", "principalId": "string", "role": "OWNER", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "assignedByUserId": "419b0b8f-f979-45e3-a620-8c3741dea2ef", "projectedAt": "2019-08-24T14:15:22Z" } ]}/api/assets/{assetId}/releases/{releaseId}/deprecationPath Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/deprecation" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "authorizationReady": true, "draft": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lockVersion": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "editedByUserId": "17755b76-ae3f-4e03-85ba-4d4f1e436183", "updatedAt": "2019-08-24T14:15:22Z" }, "revisions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "changeNote": "string", "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdAt": "2019-08-24T14:15:22Z" } ], "reviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "revisionDigest": "string", "state": "IN_REVIEW", "policyVersion": "string", "requestedByUserId": "9c590f64-b028-49cf-9478-8c687bdb54d0", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "decisions": [ { "reviewerUserId": "75d4a5e8-58d7-410c-98d1-4f6ee34c3a33", "decision": "REQUEST_CHANGES", "comment": "string", "decidedAt": "2019-08-24T14:15:22Z" } ] } ], "releases": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "sequence": 0, "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "releasedByUserId": "15d5019e-db9b-4651-ba99-7050fd00d625", "releasedAt": "2019-08-24T14:15:22Z", "availability": "AVAILABLE", "availabilityHistory": [ { "availability": "AVAILABLE", "reason": "string", "changedByUserId": "362d38dc-25bb-4384-bc34-bb679fb2cded", "effectiveAt": "2019-08-24T14:15:22Z" } ] } ], "ownershipHealth": { "ownerPresent": true, "backupOwnerPresent": true, "orphaned": true, "continuityAtRisk": true }, "roleAssignments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "principalType": "string", "principalId": "string", "role": "OWNER", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "assignedByUserId": "419b0b8f-f979-45e3-a620-8c3741dea2ef", "projectedAt": "2019-08-24T14:15:22Z" } ]}/api/assets/{assetId}/prompt/evaluation-comparisonsPath Parameters
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/prompt/evaluation-comparisons" \ -H "Content-Type: application/json" \ -d '{}'{ "baseline": { "evaluationId": "d66407ee-dc03-4490-a11a-2e3396305dfb", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "releaseDigest": "string", "passedCases": 0, "totalCases": 0, "cases": [ { "name": "string", "passed": true, "failedAssertions": [ "string" ], "promptRunId": "337f654e-f75b-49a3-a153-c3419a97c09e" } ] }, "candidate": { "evaluationId": "d66407ee-dc03-4490-a11a-2e3396305dfb", "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "releaseDigest": "string", "passedCases": 0, "totalCases": 0, "cases": [ { "name": "string", "passed": true, "failedAssertions": [ "string" ], "promptRunId": "337f654e-f75b-49a3-a153-c3419a97c09e" } ] }, "passedCaseDelta": 0}/api/assets/skillsQuery Parameters
uuid"INTERNAL"Value in
- "PUBLIC"
- "INTERNAL"
- "CONFIDENTIAL"
- "RESTRICTED"
Request Body
multipart/form-data
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/assets/skills?namespace=string&knowledgeSpaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -F file="string"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "authorizationReady": true, "draft": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lockVersion": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "editedByUserId": "17755b76-ae3f-4e03-85ba-4d4f1e436183", "updatedAt": "2019-08-24T14:15:22Z" }, "revisions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "changeNote": "string", "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdAt": "2019-08-24T14:15:22Z" } ], "reviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "revisionDigest": "string", "state": "IN_REVIEW", "policyVersion": "string", "requestedByUserId": "9c590f64-b028-49cf-9478-8c687bdb54d0", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "decisions": [ { "reviewerUserId": "75d4a5e8-58d7-410c-98d1-4f6ee34c3a33", "decision": "REQUEST_CHANGES", "comment": "string", "decidedAt": "2019-08-24T14:15:22Z" } ] } ], "releases": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "sequence": 0, "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "releasedByUserId": "15d5019e-db9b-4651-ba99-7050fd00d625", "releasedAt": "2019-08-24T14:15:22Z", "availability": "AVAILABLE", "availabilityHistory": [ { "availability": "AVAILABLE", "reason": "string", "changedByUserId": "362d38dc-25bb-4384-bc34-bb679fb2cded", "effectiveAt": "2019-08-24T14:15:22Z" } ] } ], "ownershipHealth": { "ownerPresent": true, "backupOwnerPresent": true, "orphaned": true, "continuityAtRisk": true }, "roleAssignments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "principalType": "string", "principalId": "string", "role": "OWNER", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "assignedByUserId": "419b0b8f-f979-45e3-a620-8c3741dea2ef", "projectedAt": "2019-08-24T14:15:22Z" } ]}/api/asset-delivery/{assetId}/releases/{releaseId}/prompt-renderPath Parameters
uuiduuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
*/*
curl -X POST "https://example.com/api/asset-delivery/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/prompt-render" \ -H "Content-Type: application/json" \ -d '{}'{ "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "releaseDigest": "string", "systemInstruction": "string", "userPrompt": "string", "sensitiveVariables": [ "string" ], "inputShapeDigest": "string"}curl -X GET "https://example.com/api/knowledge-assets/graph-jobs/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "knowledgeAssetId": "0e21085d-79c9-44f9-b229-2554c2bd0165", "knowledgeAssetVersionId": "9d7e85c7-a605-47c3-a6c6-520e358ca01a", "sourceRevisionId": "307572f1-3846-4c73-a8d9-3b07cde2b356", "projectionGeneration": 0, "graphProcessingProfileId": "66cf9d12-816c-42d4-beb4-4cc6fe06fcd4", "graphProcessingProfileSha256": "string", "status": "string", "attempt": 0, "cancellationRequested": true, "cancellationRequestedAt": "2019-08-24T14:15:22Z", "lastErrorCode": "string", "lastErrorMessage": "string", "completedAt": "2019-08-24T14:15:22Z"}curl -X GET "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "authorizationReady": true, "draft": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "lockVersion": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "editedByUserId": "17755b76-ae3f-4e03-85ba-4d4f1e436183", "updatedAt": "2019-08-24T14:15:22Z" }, "revisions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sequence": 0, "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "changeNote": "string", "createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620", "createdAt": "2019-08-24T14:15:22Z" } ], "reviews": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "revisionDigest": "string", "state": "IN_REVIEW", "policyVersion": "string", "requestedByUserId": "9c590f64-b028-49cf-9478-8c687bdb54d0", "createdAt": "2019-08-24T14:15:22Z", "resolvedAt": "2019-08-24T14:15:22Z", "decisions": [ { "reviewerUserId": "75d4a5e8-58d7-410c-98d1-4f6ee34c3a33", "decision": "REQUEST_CHANGES", "comment": "string", "decidedAt": "2019-08-24T14:15:22Z" } ] } ], "releases": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6", "sequence": 0, "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "releasedByUserId": "15d5019e-db9b-4651-ba99-7050fd00d625", "releasedAt": "2019-08-24T14:15:22Z", "availability": "AVAILABLE", "availabilityHistory": [ { "availability": "AVAILABLE", "reason": "string", "changedByUserId": "362d38dc-25bb-4384-bc34-bb679fb2cded", "effectiveAt": "2019-08-24T14:15:22Z" } ] } ], "ownershipHealth": { "ownerPresent": true, "backupOwnerPresent": true, "orphaned": true, "continuityAtRisk": true }, "roleAssignments": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "principalType": "string", "principalId": "string", "role": "OWNER", "validFrom": "2019-08-24T14:15:22Z", "validUntil": "2019-08-24T14:15:22Z", "assignedByUserId": "419b0b8f-f979-45e3-a620-8c3741dea2ef", "projectedAt": "2019-08-24T14:15:22Z" } ]}/api/assets/{assetId}/releases/{releaseId}/work-instructionPath Parameters
uuiduuidResponse Body
*/*
curl -X GET "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/work-instruction"{ "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "releaseDigest": "string", "title": "string", "versionLabel": "string", "instruction": { "purpose": "string", "audience": "string", "prerequisites": [ "string" ], "completionOutcome": "string", "responsibleRole": "string", "steps": [ { "key": "string", "title": "string", "instruction": "string", "expectedResult": "string", "check": "string", "escalation": "string", "prohibitedActions": [ "string" ], "relatedAssetIds": [ "f492136e-bfe6-4e5a-8ac3-63b18ba580a2" ], "relatedKnowledgeVersionIds": [ "a4a15029-eab2-4fec-b4e9-b9b0b61b9ef2" ] } ] }, "acknowledged": true, "acknowledgedAt": "2019-08-24T14:15:22Z"}/api/assets/{assetId}/releases/{releaseId}/skill-manifestPath Parameters
uuiduuidResponse Body
*/*
curl -X GET "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/skill-manifest"{ "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "namespace": "string", "slug": "string", "coordinate": "string", "version": "string", "title": "string", "description": "string", "releaseDigest": "string", "packageDigest": "string", "packageLength": 0, "mediaType": "string", "license": "string", "compatibility": "string", "allowedTools": "string", "metadata": { "property1": "string", "property2": "string" }, "files": [ { "path": "string", "size": 0, "sha256": "string" } ]}/api/assets/{assetId}/releases/{releaseId}/pack-journeyPath Parameters
uuiduuidResponse Body
*/*
curl -X GET "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/pack-journey"{ "assignmentId": "dbf5135c-beb7-4185-80db-2e980c77381b", "packAssetId": "449638c7-3499-43cb-847e-47afd8622397", "packReleaseId": "ee651da1-4026-4306-b950-f0e9f8ee9e0b", "releaseDigest": "string", "title": "string", "versionLabel": "string", "purpose": "ROLE_ONBOARDING", "audience": "string", "expectedOutcome": "string", "status": "IN_PROGRESS", "accessGap": true, "completedAccessibleItems": 0, "items": [ { "key": "string", "required": true, "order": 0, "kind": "string", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "pinnedVersionId": "8e41a9d4-0381-4764-a672-b3599e061c5d", "title": "string", "versionLabel": "string", "availability": "AVAILABLE", "completed": true, "completedAt": "2019-08-24T14:15:22Z" } ], "startedAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z"}/api/assets/{assetId}/releases/{releaseId}/pack-definitionPath Parameters
uuiduuidResponse Body
*/*
curl -X GET "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/pack-definition"{ "packAssetId": "449638c7-3499-43cb-847e-47afd8622397", "packReleaseId": "ee651da1-4026-4306-b950-f0e9f8ee9e0b", "releaseDigest": "string", "title": "string", "versionLabel": "string", "purpose": "ROLE_ONBOARDING", "audience": "string", "prerequisites": [ "string" ], "expectedOutcome": "string", "completionCriteria": [ "string" ], "reviewDate": "string", "owner": "string", "accessGap": true, "items": [ { "key": "string", "required": true, "order": 0, "kind": "string", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "pinnedVersionId": "8e41a9d4-0381-4764-a672-b3599e061c5d", "title": "string", "versionLabel": "string", "availability": "AVAILABLE", "completed": true, "completedAt": "2019-08-24T14:15:22Z" } ]}curl -X GET "https://example.com/api/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08/governance-actions"{ "canSubmitReview": true, "canReview": true, "canPublish": true, "canWithdraw": true}/api/assets/catalogQuery Parameters
Value in
- "PROMPT_TEMPLATE"
- "WORK_INSTRUCTION"
- "CAPABILITY_PACK"
- "SKILL"
"RECENTLY_RELEASED"Value in
- "RECENTLY_RELEASED"
- "NAME"
int321int3224Response Body
*/*
curl -X GET "https://example.com/api/assets/catalog"{ "items": [ { "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "title": "string", "summary": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "versionLabel": "string", "releaseDigest": "string", "availability": "AVAILABLE", "releasedAt": "2019-08-24T14:15:22Z" } ], "total": 0, "page": 0, "pageSize": 0, "totalPages": 0, "sort": "RECENTLY_RELEASED"}/api/asset-deliveryQuery Parameters
Value in
- "PROMPT_TEMPLATE"
- "WORK_INSTRUCTION"
- "CAPABILITY_PACK"
- "SKILL"
Response Body
*/*
curl -X GET "https://example.com/api/asset-delivery"[ { "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "title": "string", "summary": "string", "knowledgeSpaceId": "11ef9487-895c-48ad-a581-df51ab86e43b", "portfolioState": "DRAFT_ONLY", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "versionLabel": "string", "releaseDigest": "string", "availability": "AVAILABLE", "releasedAt": "2019-08-24T14:15:22Z" }]curl -X GET "https://example.com/api/asset-delivery/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "availability": "AVAILABLE", "releasedAt": "2019-08-24T14:15:22Z"}/api/asset-delivery/{assetId}/releases/{releaseId}Path Parameters
uuiduuidResponse Body
*/*
curl -X GET "https://example.com/api/asset-delivery/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "type": "PROMPT_TEMPLATE", "namespace": "string", "slug": "string", "versionLabel": "string", "title": "string", "summary": "string", "classification": "string", "schemaVersion": "string", "payload": "string", "digest": "string", "availability": "AVAILABLE", "releasedAt": "2019-08-24T14:15:22Z"}/api/asset-delivery/{assetId}/releases/{releaseId}/skill-packagePath Parameters
uuiduuidResponse Body
*/*
curl -X GET "https://example.com/api/asset-delivery/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/skill-package"null/api/asset-delivery/{assetId}/releases/{releaseId}/skill-manifestPath Parameters
uuiduuidResponse Body
*/*
curl -X GET "https://example.com/api/asset-delivery/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/skill-manifest"{ "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "namespace": "string", "slug": "string", "coordinate": "string", "version": "string", "title": "string", "description": "string", "releaseDigest": "string", "packageDigest": "string", "packageLength": 0, "mediaType": "string", "license": "string", "compatibility": "string", "allowedTools": "string", "metadata": { "property1": "string", "property2": "string" }, "files": [ { "path": "string", "size": 0, "sha256": "string" } ]}/api/asset-delivery/{assetId}/releases/{releaseId}/relationsPath Parameters
uuiduuidResponse Body
*/*
curl -X GET "https://example.com/api/asset-delivery/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/relations"{ "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "accessGap": true, "relations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sourceEntityId": "919f567b-165b-4d91-b8e9-824c276b9aa4", "targetEntityId": "ffcbe7bd-b93a-4630-87c7-2d0f166f5fc1", "type": "string", "description": "string", "weight": 0.1, "keywords": [ "string" ], "citationChunkIds": [ "a6d76241-7fc4-4517-87e2-90d84f96fa8f" ], "governingEvidence": { "organizationId": "7bc05553-4b68-44e8-b7bc-37be63c6d9e9", "knowledgeAssetId": "0e21085d-79c9-44f9-b229-2554c2bd0165", "sourceRevisionId": "307572f1-3846-4c73-a8d9-3b07cde2b356", "chunkId": "90e1f3df-a8a1-438e-8dd5-10e45398d051", "aclSnapshotId": "19aeaaa7-c6ad-4f73-bd6d-6a355de9c0e9", "aclGeneration": 0, "chunk": true } } ]}/api/asset-delivery/{assetId}/releases/{releaseId}/packPath Parameters
uuiduuidResponse Body
*/*
curl -X GET "https://example.com/api/asset-delivery/497f6eca-6276-4993-bfeb-53cbbbba6f08/releases/497f6eca-6276-4993-bfeb-53cbbbba6f08/pack"{ "packAssetId": "449638c7-3499-43cb-847e-47afd8622397", "packReleaseId": "ee651da1-4026-4306-b950-f0e9f8ee9e0b", "releaseDigest": "string", "title": "string", "versionLabel": "string", "purpose": "ROLE_ONBOARDING", "audience": "string", "prerequisites": [ "string" ], "expectedOutcome": "string", "completionCriteria": [ "string" ], "reviewDate": "string", "owner": "string", "accessGap": true, "items": [ { "key": "string", "required": true, "order": 0, "kind": "string", "resourceId": "026d60bb-63a8-407e-bf67-01dcfc6022e6", "pinnedVersionId": "8e41a9d4-0381-4764-a672-b3599e061c5d", "title": "string", "versionLabel": "string", "availability": "AVAILABLE", "completed": true, "completedAt": "2019-08-24T14:15:22Z" } ]}/api/asset-delivery/skills/{namespace}/{slug}/versions/{version}/manifestPath Parameters
Response Body
*/*
curl -X GET "https://example.com/api/asset-delivery/skills/string/string/versions/string/manifest"{ "assetId": "9179b887-04ef-4ce5-ab3a-b5bbd39ea3c8", "releaseId": "829d5913-a352-42a5-be6f-1526f30c0c85", "namespace": "string", "slug": "string", "coordinate": "string", "version": "string", "title": "string", "description": "string", "releaseDigest": "string", "packageDigest": "string", "packageLength": 0, "mediaType": "string", "license": "string", "compatibility": "string", "allowedTools": "string", "metadata": { "property1": "string", "property2": "string" }, "files": [ { "path": "string", "size": 0, "sha256": "string" } ]}/api/knowledge-assets/{knowledgeAssetId}Path Parameters
uuidResponse Body
*/*
curl -X DELETE "https://example.com/api/knowledge-assets/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "knowledgeAssetId": "0e21085d-79c9-44f9-b229-2554c2bd0165", "knowledgeAssetVersionId": "9d7e85c7-a605-47c3-a6c6-520e358ca01a", "normalizedRecordId": "54f74ff2-8527-4d89-8b29-2e23073f0136", "rawSourceObjectId": "038a6eae-f9f4-4b2d-93fc-9d9b4af2d6e4", "sourceAclSnapshotId": "1f540040-d19c-4b17-b5da-8655a1740aa1", "status": "PENDING"}Cập nhật lần cuối